<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly


if(!class_exists('FPD_Pricing_Admin_Builder')) {

	class FPD_Pricing_Admin_Builder {

		public function __construct() {

			//scripts and styles for admin
			add_action( 'admin_enqueue_scripts', array( &$this, 'enqueue_styles_scripts' ), 20 );
			//add sub menu to fpd admin
			add_action( 'admin_menu', array( &$this, 'add_menu_pages' ) );

		}

		public function enqueue_styles_scripts( $hook ) {

			global $post;

		    if( $hook == 'fancy-product-designer_page_fpd_pricing_builder' ) {

				require_once( FPD_PLUGIN_ADMIN_DIR . '/labels/pricing-rules.php' );

				wp_enqueue_style( 'fpd-react-pricing-rules', plugins_url('/admin/react-app/css/pricing-rules.css', FPD_PLUGIN_ROOT_PHP), array(
					'fpd-semantic-ui',
				), Fancy_Product_Designer_Pricing::VERSION );

				wp_enqueue_script( 'fpd-react-pricing-rules', plugins_url('/admin/react-app/js/pricing-rules.js', FPD_PLUGIN_ROOT_PHP), array(
					'fpd-semantic-ui',
					'fpd-admin',
					'jquery-ui-core',
					'jquery-ui-mouse',
					'jquery-ui-sortable',
					'jquery-ui-droppable',
				), Fancy_Product_Designer_Pricing::VERSION );

				wp_add_inline_script( 'fpd-react-pricing-rules', FPD_Admin_Scripts_Styles::REACT_NO_CONFLICT_JS, 'after' );

				wp_localize_script( 'fpd-react-pricing-rules', 'fpd_pricing_rules_opts', array(
					'labels' 				=> json_encode(FPD_Labels_Pricing_Rules::get_labels()),
					'pricing_rules_groups' 	=> FPD_Resource_Pricing_Rules::get_pricing_rules(),
					'patterns'				=>
						array_merge(
							FPD_Settings_Default_Element_Options::get_pattern_urls(),
							FPD_Settings_Default_Element_Options::get_pattern_urls('svg')
						)

				));

		    }

		}

		public function add_menu_pages() {

			add_submenu_page(
				'fancy_product_designer',
				 __('Pricing Rules', 'radykal'),
				 __('Pricing Rules', 'radykal'),
				 Fancy_Product_Designer::CAPABILITY,
				 'fpd_pricing_builder',
				 array( $this, 'builder_page' )
			);

		}

		public function builder_page() {

			echo '<div id="fpd-react-root"></div>';

		}

	}

}

new FPD_Pricing_Admin_Builder();

?>